All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
stan::math::precomp_v_vari Class Reference

`#include <precomp_v_vari.hpp>`

Inheritance diagram for stan::math::precomp_v_vari:

## Public Member Functions

| precomp_v_vari (double val, vari *avi, double da)
void | chain ()
| Apply the chain rule to this variable based on the variables on which it depends. More...
Public Member Functions inherited from stan::math::op_v_vari
| op_v_vari (double f, vari *avi)
Public Member Functions inherited from stan::math::vari
| vari (const double x)
| Construct a variable implementation from a value. More...
| vari (const double x, bool stacked)
virtual | ~vari ()
| Throw an illegal argument exception. More...
virtual void | init_dependent ()
| Initialize the adjoint for this (dependent) variable to 1. More...
virtual void | set_zero_adjoint ()
| Set the adjoint value of this variable to 0. More...
Public Member Functions inherited from stan::math::chainable
| chainable ()
| Construct a chainable object. More...
virtual | ~chainable ()
| Chainables are not destructible and should go on the function call stack or be allocated with operator new. More...

## Protected Attributes

double | da_
Protected Attributes inherited from stan::math::op_v_vari
vari * | avi_

## Additional Inherited Members

Static Public Member Functions inherited from stan::math::chainable
static void * | operator new (size_t nbytes)
| Allocate memory from the underlying memory pool. More...
static void | operator delete (void *)
| Delete a pointer from the underlying memory pool. More...
Public Attributes inherited from stan::math::vari
const double | val_
| The value of this variable. More...
double | adj_
| The adjoint of this variable, which is the partial derivative of this variable with respect to the root variable. More...

## Detailed Description

Definition at line 11 of file precomp_v_vari.hpp.

## Constructor & Destructor Documentation

stan::math::precomp_v_vari::precomp_v_vari | ( | double | val,
|  | vari * | avi,
|  | double | da
| ) |  |

inline

Definition at line 15 of file precomp_v_vari.hpp.

## Member Function Documentation

void stan::math::precomp_v_vari::chain | ( |  | ) |

inlinevirtual

Apply the chain rule to this variable based on the variables on which it depends.

The base implementation in this class is a no-op.

Reimplemented from stan::math::chainable.

Definition at line 19 of file precomp_v_vari.hpp.

## Member Data Documentation

double stan::math::precomp_v_vari::da_

protected

Definition at line 13 of file precomp_v_vari.hpp.

The documentation for this class was generated from the following file:

- stan/math/rev/core/precomp_v_vari.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.